#!/bin/bash
GIT_URL=https://gitlab.di.unipmn.it
GIT_BASE_DIR=ulisse/labmanager-systemd/raw/1.0

function askYesNo {
    QUESTION=$1
    DEFAULT=$2
    if [ "$DEFAULT" = true ]; then
        OPTIONS="[Y/n]"
        DEFAULT="y"
    else
        OPTIONS="[y/N]"
        DEFAULT="n"
    fi
    read -p "$QUESTION $OPTIONS " -n 1 -s -r INPUT
    INPUT=${INPUT:-${DEFAULT}}
    echo ${INPUT}
    if [[ "$INPUT" =~ ^[yY]$ ]]; then
        ANSWER=true
    else
        ANSWER=false
    fi
}

mkdir -p /usr/libexec/labmanager

# script per i servizi systemd
echo "Downloading systemd script files..."
cd /usr/libexec/labmanager
curl -O $GIT_URL/$GIT_BASE_DIR/bin/bta-no-usbpen
curl -O $GIT_URL/$GIT_BASE_DIR/bin/get-config
curl -O $GIT_URL/$GIT_BASE_DIR/bin/kdm-autologin
curl -O $GIT_URL/$GIT_BASE_DIR/bin/mk-homedir
curl -O $GIT_URL/$GIT_BASE_DIR/bin/firefox-home
curl -O $GIT_URL/$GIT_BASE_DIR/bin/iptables-rules
curl -O $GIT_URL/$GIT_BASE_DIR/bin/kioskmode
curl -O $GIT_URL/$GIT_BASE_DIR/bin/nfs
curl -O $GIT_URL/$GIT_BASE_DIR/bin/usb
curl -O $GIT_URL/$GIT_BASE_DIR/bin/virtualbox
chmod +x *
echo "OK."

echo ""

# servizi systemd
echo "Downloading systemd service files..."
cd /etc/systemd/system
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-apply-config.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-apply-config.timer
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-firefox-home.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-get-config.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-iptables-rules.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-kdm-autologin.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-kioskmode.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-mk-homedir.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-nfs.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame.target
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-usb.service
curl -O $GIT_URL/$GIT_BASE_DIR/systemd/esame-virtualbox.service
echo "OK."

echo ""

# disable old esame service?
askYesNo "Disable old systemd esame.service?" false
DOIT=$ANSWER
if [ "$DOIT" = true ]; then
    systemctl disable esame.service
fi

echo -n "Reload systemd"
systemctl daemon-reload

echo -n "Enable systemd services..."
systemctl enable esame-*.service
systemctl enable esame-apply-config.timer
echo " OK."

echo ""
echo "All done!"
